Retrieve a Data Product
Get a data product by ID or fully qualified name
GET
GET /v1/dataProducts/{id}
Retrieve a Data Product
Get a single data product by its unique ID or fully qualified name.Get by ID
string
required
UUID of the data product to retrieve.
string
Comma-separated list of fields to include, for example
owners,domains,experts,assets.string
default:"non-deleted"
Include
all, deleted, or non-deleted entities.Get by Fully Qualified Name
UseGET /v1/dataProducts/name/{fqn} to retrieve by fully qualified name.
string
required
Fully qualified name of the data product, for example
CustomerInsights.string
Comma-separated list of fields to include:
owners, domains, experts, assets.string
default:"non-deleted"
Include
all, deleted, or non-deleted entities.GET /v1/dataProducts/{id}
Returns
Returns a data product object with all requested fields populated.Response
string
Unique identifier for the data product (UUID format).
string
Data product name.
string
Fully qualified name of the data product. This is the data product name.
string
Human-readable display name.
string
Description of the data product in Markdown format.
array
References to the parent domains.
array
List of owners. Only included when
fields contains owners.array
Subject matter experts. Only included when
fields contains experts.array
Associated data assets. Only included when
fields contains assets.number
Version number for the entity.